## acpica-unix 20200925

=== generate/unix/acpiexamples/Makefile ===
#
# acpiexamples - Example ACPICA initialization code and control
# method execution.
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpiexamples
PROG = $(OBJDIR)/acpiexamples

#
# Search paths for source files
#
vpath %.c \
    $(ACPIEXAMPLES)\
    $(ACPICA_DISPATCHER)\
    $(ACPICA_EVENTS)\
    $(ACPICA_EXECUTER)\
    $(ACPICA_HARDWARE)\
    $(ACPICA_NAMESPACE)\
    $(ACPICA_PARSER)\
    $(ACPICA_TABLES)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ACPIEXAMPLES)/*.h)

OBJECTS = \
	$(OBJDIR)/examples.o\
	$(OBJDIR)/exstubs.o\
	$(OBJDIR)/extables.o\
	$(OBJDIR)/dsargs.o\
	$(OBJDIR)/dscontrol.o\
	$(OBJDIR)/dsdebug.o\
	$(OBJDIR)/dsfield.o\
	$(OBJDIR)/dsinit.o\
	$(OBJDIR)/dsmethod.o\
	$(OBJDIR)/dsmthdat.o\
	$(OBJDIR)/dsobject.o\
	$(OBJDIR)/dsopcode.o\
	$(OBJDIR)/dspkginit.o\
	$(OBJDIR)/dsutils.o\
	$(OBJDIR)/dswexec.o\
	$(OBJDIR)/dswload.o\
	$(OBJDIR)/dswload2.o\
	$(OBJDIR)/dswscope.o\
	$(OBJDIR)/dswstate.o\
	$(OBJDIR)/evhandler.o\
	$(OBJDIR)/evmisc.o\
	$(OBJDIR)/evregion.o\
	$(OBJDIR)/evrgnini.o\
	$(OBJDIR)/evxface.o\
	$(OBJDIR)/evxfregn.o\
	$(OBJDIR)/exconcat.o\
	$(OBJDIR)/exconfig.o\
	$(OBJDIR)/exconvrt.o\
	$(OBJDIR)/excreate.o\
	$(OBJDIR)/exdebug.o\
	$(OBJDIR)/exdump.o\
	$(OBJDIR)/exfield.o\
	$(OBJDIR)/exfldio.o\
	$(OBJDIR)/exmisc.o\
	$(OBJDIR)/exmutex.o\
	$(OBJDIR)/exnames.o\
	$(OBJDIR)/exoparg1.o\
	$(OBJDIR)/exoparg2.o\
	$(OBJDIR)/exoparg3.o\
	$(OBJDIR)/exoparg6.o\
	$(OBJDIR)/exprep.o\
	$(OBJDIR)/exregion.o\
	$(OBJDIR)/exresnte.o\
	$(OBJDIR)/exresolv.o\
	$(OBJDIR)/exresop.o\
	$(OBJDIR)/exserial.o\
	$(OBJDIR)/exstore.o\
	$(OBJDIR)/exstoren.o\
	$(OBJDIR)/exstorob.o\
	$(OBJDIR)/exsystem.o\
	$(OBJDIR)/extrace.o\
	$(OBJDIR)/exutils.o\
	$(OBJDIR)/hwpci.o\
	$(OBJDIR)/nsaccess.o\
	$(OBJDIR)/nsalloc.o\
	$(OBJDIR)/nsarguments.o\
	$(OBJDIR)/nsconvert.o\
	$(OBJDIR)/nsdump.o\
	$(OBJDIR)/nseval.o\
	$(OBJDIR)/nsinit.o\
	$(OBJDIR)/nsload.o\
	$(OBJDIR)/nsnames.o\
	$(OBJDIR)/nsobject.o\
	$(OBJDIR)/nsparse.o\
	$(OBJDIR)/nspredef.o\
	$(OBJDIR)/nsprepkg.o\
	$(OBJDIR)/nsrepair.o\
	$(OBJDIR)/nsrepair2.o\
	$(OBJDIR)/nssearch.o\
	$(OBJDIR)/nsutils.o\
	$(OBJDIR)/nswalk.o\
	$(OBJDIR)/nsxfeval.o\
	$(OBJDIR)/nsxfname.o\
	$(OBJDIR)/nsxfobj.o\
	$(OBJDIR)/osunixxf.o\
	$(OBJDIR)/psargs.o\
	$(OBJDIR)/psloop.o\
	$(OBJDIR)/psobject.o\
	$(OBJDIR)/psopcode.o\
	$(OBJDIR)/psopinfo.o\
	$(OBJDIR)/psparse.o\
	$(OBJDIR)/psscope.o\
	$(OBJDIR)/pstree.o\
	$(OBJDIR)/psutils.o\
	$(OBJDIR)/pswalk.o\
	$(OBJDIR)/psxface.o\
	$(OBJDIR)/tbdata.o\
	$(OBJDIR)/tbfadt.o\
	$(OBJDIR)/tbfind.o\
	$(OBJDIR)/tbinstal.o\
	$(OBJDIR)/tbprint.o\
	$(OBJDIR)/tbutils.o\
	$(OBJDIR)/tbxface.o\
	$(OBJDIR)/tbxfload.o\
	$(OBJDIR)/tbxfroot.o\
	$(OBJDIR)/utaddress.o\
	$(OBJDIR)/utalloc.o\
	$(OBJDIR)/utascii.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utcache.o\
	$(OBJDIR)/utcopy.o\
	$(OBJDIR)/utdebug.o\
	$(OBJDIR)/utdecode.o\
	$(OBJDIR)/utdelete.o\
	$(OBJDIR)/uterror.o\
	$(OBJDIR)/uteval.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utglobal.o\
	$(OBJDIR)/uthex.o\
	$(OBJDIR)/utids.o\
	$(OBJDIR)/utinit.o\
	$(OBJDIR)/utlock.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utmisc.o\
	$(OBJDIR)/utmutex.o\
	$(OBJDIR)/utobject.o\
	$(OBJDIR)/utosi.o\
	$(OBJDIR)/utownerid.o\
	$(OBJDIR)/utnonansi.o\
	$(OBJDIR)/utpredef.o\
	$(OBJDIR)/utresrc.o\
	$(OBJDIR)/utstate.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/utstrsuppt.o\
	$(OBJDIR)/utstrtoul64.o\
	$(OBJDIR)/utxface.o\
	$(OBJDIR)/utxferror.o\
	$(OBJDIR)/utxfinit.o

#
# Flags specific to acpinames utility
#
CFLAGS += \
    -DACPI_EXAMPLE_APP\
    -I$(ACPIEXAMPLES)

#
# Common Rules
#
include ../Makefile.rules

=== generate/unix/acpiexec/Makefile ===
#
# acpiexec: ACPI execution simulator. Runs ACPICA code in user
# space. Loads ACPI tables, displays the namespace, and allows
# execution of control methods.
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpiexec
PROG = $(OBJDIR)/acpiexec

#
# Search paths for source files
#
vpath %.c \
    $(ACPIEXEC)\
    $(ACPICA_DEBUGGER)\
    $(ACPICA_DISASSEMBLER)\
    $(ACPICA_DISPATCHER)\
    $(ACPICA_EVENTS)\
    $(ACPICA_EXECUTER)\
    $(ACPICA_HARDWARE)\
    $(ACPICA_NAMESPACE)\
    $(ACPICA_PARSER)\
    $(ACPICA_RESOURCES)\
    $(ACPICA_TABLES)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ACPIEXEC)/*.h)

OBJECTS = \
	$(OBJDIR)/acgetline.o\
	$(OBJDIR)/acfileio.o\
	$(OBJDIR)/aeexec.o\
	$(OBJDIR)/aeexception.o\
	$(OBJDIR)/aehandlers.o\
	$(OBJDIR)/aeinitfile.o\
	$(OBJDIR)/aeinstall.o\
	$(OBJDIR)/aemain.o\
	$(OBJDIR)/aeregion.o\
	$(OBJDIR)/aetables.o\
	$(OBJDIR)/aetests.o\
	$(OBJDIR)/ahids.o\
	$(OBJDIR)/ahuuids.o\
	$(OBJDIR)/cmfsize.o\
	$(OBJDIR)/dbcmds.o\
	$(OBJDIR)/dbconvert.o\
	$(OBJDIR)/dbdisply.o\
	$(OBJDIR)/dbexec.o\
	$(OBJDIR)/dbfileio.o\
	$(OBJDIR)/dbhistry.o\
	$(OBJDIR)/dbinput.o\
	$(OBJDIR)/dbmethod.o\
	$(OBJDIR)/dbnames.o\
	$(OBJDIR)/dbobject.o\
	$(OBJDIR)/dbstats.o\
	$(OBJDIR)/dbtest.o\
	$(OBJDIR)/dbutils.o\
	$(OBJDIR)/dbxface.o\
	$(OBJDIR)/dmbuffer.o\
	$(OBJDIR)/dmcstyle.o\
	$(OBJDIR)/dmdeferred.o\
	$(OBJDIR)/dmnames.o\
	$(OBJDIR)/dmopcode.o\
	$(OBJDIR)/dmresrc.o\
	$(OBJDIR)/dmresrcl.o\
	$(OBJDIR)/dmresrcl2.o\
	$(OBJDIR)/dmresrcs.o\
	$(OBJDIR)/dmutils.o\
	$(OBJDIR)/dmwalk.o\
	$(OBJDIR)/dsargs.o\
	$(OBJDIR)/dscontrol.o\
	$(OBJDIR)/dsdebug.o\
	$(OBJDIR)/dsfield.o\
	$(OBJDIR)/dsinit.o\
	$(OBJDIR)/dsmethod.o\
	$(OBJDIR)/dsmthdat.o\
	$(OBJDIR)/dsobject.o\
	$(OBJDIR)/dsopcode.o\
	$(OBJDIR)/dspkginit.o\
	$(OBJDIR)/dsutils.o\
	$(OBJDIR)/dswexec.o\
	$(OBJDIR)/dswload.o\
	$(OBJDIR)/dswload2.o\
	$(OBJDIR)/dswscope.o\
	$(OBJDIR)/dswstate.o\
	$(OBJDIR)/evevent.o\
	$(OBJDIR)/evglock.o\
	$(OBJDIR)/evgpe.o\
	$(OBJDIR)/evgpeblk.o\
	$(OBJDIR)/evgpeinit.o\
	$(OBJDIR)/evgpeutil.o\
	$(OBJDIR)/evhandler.o\
	$(OBJDIR)/evmisc.o\
	$(OBJDIR)/evregion.o\
	$(OBJDIR)/evrgnini.o\
	$(OBJDIR)/evsci.o\
	$(OBJDIR)/evxface.o\
	$(OBJDIR)/evxfevnt.o\
	$(OBJDIR)/evxfgpe.o\
	$(OBJDIR)/evxfregn.o\
	$(OBJDIR)/exconfig.o\
	$(OBJDIR)/exconcat.o\
	$(OBJDIR)/exconvrt.o\
	$(OBJDIR)/excreate.o\
	$(OBJDIR)/exdebug.o\
	$(OBJDIR)/exdump.o\
	$(OBJDIR)/exfield.o\
	$(OBJDIR)/exfldio.o\
	$(OBJDIR)/exmisc.o\
	$(OBJDIR)/exmutex.o\
	$(OBJDIR)/exnames.o\
	$(OBJDIR)/exoparg1.o\
	$(OBJDIR)/exoparg2.o\
	$(OBJDIR)/exoparg3.o\
	$(OBJDIR)/exoparg6.o\
	$(OBJDIR)/exprep.o\
	$(OBJDIR)/exregion.o\
	$(OBJDIR)/exresnte.o\
	$(OBJDIR)/exresolv.o\
	$(OBJDIR)/exresop.o\
	$(OBJDIR)/exserial.o\
	$(OBJDIR)/exstore.o\
	$(OBJDIR)/exstoren.o\
	$(OBJDIR)/exstorob.o\
	$(OBJDIR)/exsystem.o\
	$(OBJDIR)/extrace.o\
	$(OBJDIR)/exutils.o\
	$(OBJDIR)/getopt.o\
	$(OBJDIR)/hwacpi.o\
	$(OBJDIR)/hwesleep.o\
	$(OBJDIR)/hwgpe.o\
	$(OBJDIR)/hwpci.o\
	$(OBJDIR)/hwregs.o\
	$(OBJDIR)/hwsleep.o\
	$(OBJDIR)/hwtimer.o\
	$(OBJDIR)/hwvalid.o\
	$(OBJDIR)/hwxface.o\
	$(OBJDIR)/hwxfsleep.o\
	$(OBJDIR)/nsaccess.o\
	$(OBJDIR)/nsalloc.o\
	$(OBJDIR)/nsarguments.o\
	$(OBJDIR)/nsconvert.o\
	$(OBJDIR)/nsdump.o\
	$(OBJDIR)/nsdumpdv.o\
	$(OBJDIR)/nseval.o\
	$(OBJDIR)/nsinit.o\
	$(OBJDIR)/nsload.o\
	$(OBJDIR)/nsnames.o\
	$(OBJDIR)/nsobject.o\
	$(OBJDIR)/nsparse.o\
	$(OBJDIR)/nspredef.o\
	$(OBJDIR)/nsprepkg.o\
	$(OBJDIR)/nsrepair.o\
	$(OBJDIR)/nsrepair2.o\
	$(OBJDIR)/nssearch.o\
	$(OBJDIR)/nsutils.o\
	$(OBJDIR)/nswalk.o\
	$(OBJDIR)/nsxfeval.o\
	$(OBJDIR)/nsxfname.o\
	$(OBJDIR)/nsxfobj.o\
	$(OBJDIR)/osgendbg.o\
	$(OBJDIR)/osunixxf.o\
	$(OBJDIR)/psargs.o\
	$(OBJDIR)/psloop.o\
	$(OBJDIR)/psobject.o\
	$(OBJDIR)/psopcode.o\
	$(OBJDIR)/psopinfo.o\
	$(OBJDIR)/psparse.o\
	$(OBJDIR)/psscope.o\
	$(OBJDIR)/pstree.o\
	$(OBJDIR)/psutils.o\
	$(OBJDIR)/pswalk.o\
	$(OBJDIR)/psxface.o\
	$(OBJDIR)/rsaddr.o\
	$(OBJDIR)/rscalc.o\
	$(OBJDIR)/rscreate.o\
	$(OBJDIR)/rsdump.o\
	$(OBJDIR)/rsdumpinfo.o\
	$(OBJDIR)/rsinfo.o\
	$(OBJDIR)/rsio.o\
	$(OBJDIR)/rsirq.o\
	$(OBJDIR)/rslist.o\
	$(OBJDIR)/rsmemory.o\
	$(OBJDIR)/rsmisc.o\
	$(OBJDIR)/rsserial.o\
	$(OBJDIR)/rsutils.o\
	$(OBJDIR)/rsxface.o\
	$(OBJDIR)/tbdata.o\
	$(OBJDIR)/tbfadt.o\
	$(OBJDIR)/tbfind.o\
	$(OBJDIR)/tbinstal.o\
	$(OBJDIR)/tbprint.o\
	$(OBJDIR)/tbutils.o\
	$(OBJDIR)/tbxface.o\
	$(OBJDIR)/tbxfload.o\
	$(OBJDIR)/tbxfroot.o\
	$(OBJDIR)/utaddress.o\
	$(OBJDIR)/utalloc.o\
	$(OBJDIR)/utascii.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utcache.o\
	$(OBJDIR)/utcopy.o\
	$(OBJDIR)/utdebug.o\
	$(OBJDIR)/utdecode.o\
	$(OBJDIR)/utdelete.o\
	$(OBJDIR)/uterror.o\
	$(OBJDIR)/uteval.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utglobal.o\
	$(OBJDIR)/uthex.o\
	$(OBJDIR)/utids.o\
	$(OBJDIR)/utinit.o\
	$(OBJDIR)/utlock.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utmisc.o\
	$(OBJDIR)/utmutex.o\
	$(OBJDIR)/utobject.o\
	$(OBJDIR)/utosi.o\
	$(OBJDIR)/utownerid.o\
	$(OBJDIR)/utnonansi.o\
	$(OBJDIR)/utpredef.o\
	$(OBJDIR)/utresdecode.o\
	$(OBJDIR)/utresrc.o\
	$(OBJDIR)/utstate.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/utstrsuppt.o\
	$(OBJDIR)/utstrtoul64.o\
	$(OBJDIR)/uttrack.o\
	$(OBJDIR)/utuuid.o\
	$(OBJDIR)/utxface.o\
	$(OBJDIR)/utxferror.o\
	$(OBJDIR)/utxfinit.o\
	$(OBJDIR)/utxfmutex.o

#
# Flags specific to acpiexec utility
#
CFLAGS += \
    -DACPI_EXEC_APP\
    -I$(ACPIEXEC)

ifeq ($(ASLTS),TRUE)
CFLAGS += \
    -DACPI_CHECKSUM_ABORT=TRUE
endif

ifneq ($(ACPI_HOST),_QNX)
LDFLAGS += -lpthread
endif

ifneq ($(ACPI_HOST),_APPLE)
ifneq ($(ACPI_HOST),_QNX)
LDFLAGS += -lrt
endif
endif

#
# Common Rules
#
include ../Makefile.rules

=== tests/aslts/src/runtime/collections/functional/control/Makefile ===
# control

AMLMOD= control
COLL= ../..

ADD_ASLFLAGS=-vx 6152 -vx 6163 -vx 6022
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/functional/external/Makefile ===
# constant

AMLMOD= external
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/bdemo/ACPICA/bdemo/Makefile ===
# bdemo

AMLMOD= bdemo
COLL= ../../..

ADD_ASLFLAGS=-vx 6142 #illegal forward reference
ADD_ASLFLAGS+=-vx 6152 #recursive method call
ADD_ASLFLAGS+=-vx 6163 #illegal reference in method
 
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/result/tests/rstore/Makefile ===
# rstore

AMLMOD= rstore
COLL= ../../../..

ADD_ASLFLAGS=-vx 6163 -vx 6142
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== debian/changelog ===
acpica-unix (20200925-8) unstable; urgency=medium

  * QA upload.
  * Remove (deleted) acpinames tool from description (Closes: #1000381)

 -- Agathe Porte <debian@microjoe.org>  Thu, 26 Jan 2023 22:16:57 +0100

acpica-unix (20200925-7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 15:20:05 +0100

acpica-unix (20200925-6) unstable; urgency=medium

  * QA upload.
  * debian/control: Use correct Vcs-* fields.
  * debian/control: Bump Standards-Version to 4.6.0 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Sep 2021 15:47:09 -0400

acpica-unix (20200925-5) unstable; urgency=medium

  * QA upload.
  * Brown paper bag update for #986308: Actually install binaries using
    non-suffixed names.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 21 Aug 2021 11:17:44 +0000

acpica-unix (20200925-4) unstable; urgency=medium

  * QA upload.
  * Point Vcs- URLs to salsa.debian.org
  * Remove alternatives support.
    The other packages are already gone in Debian, and Replaces/Conflicts
    are already present on acpica-tools. (Closes: #986308)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 20 Aug 2021 18:05:32 +0000

acpica-unix (20200925-3) unstable; urgency=medium

  * QA upload.
  * Upload to sid again the armhf fix from Ubuntu delta.

  [ Michael Hudson-Doyle ]
  * Revert dropping of armhf FTBFS fix in previous upload.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 May 2021 10:52:30 +0200

acpica-unix (20200925-2) unstable; urgency=medium

  * ACK for the NMUs: thank you!
  * Orphaning the package.

 -- Al Stone <ahs3@debian.org>  Sun, 21 Mar 2021 13:46:41 -0600

acpica-unix (20200925-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable. (Closes: #982495, #982494)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 17 Feb 2021 09:45:22 +0000

acpica-unix (20200925-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on mips64el by telling the build system about it.
    Bug: #982495
  * Maybe also fix FTBFS on armhf, due to aligned access in
    AcpiUtReadUint64. Bug: #982494

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 16 Feb 2021 23:24:40 +0000

acpica-unix (20200925-1) unstable; urgency=medium

  * Upgrade to 20200925 upstream
  * Upgrade to 20200717 upstream (not released)
  * Refresh patches and test results as needed
  * Big-endian (aka s390x) support has been completely revamped; if
    upstream accepts the new version, this can go away; the result is
    that all of the older big-endian patches have been replaced.

 -- Al Stone <ahs3@debian.org>  Thu, 29 Oct 2020 19:15:48 -0600

acpica-unix (20200528-1) unstable; urgency=medium

  * Upgrade to 20200528 upstream
  * Refresh patches and test results as needed
  * Remove acpinames utility since upstream removed it as no longer needed
  * Update Standards-Version to 4.5.0

 -- Al Stone <ahs3@debian.org>  Tue, 02 Jun 2020 20:15:49 -0600

acpica-unix (20200430-1) unstable; urgency=medium

  * Upgrade to 20200430 upstream
  * Refresh patches as needed
  * Add in dbtest.patch that fixes s390 build.  Closes: #958491
  * Tested and verified builds work properly with GCC 10.  Closes: #956980

 -- Al Stone <ahs3@debian.org>  Sun, 31 May 2020 17:16:52 -0600

acpica-unix (20200326-1) unstable; urgency=medium

  * Upgrade to 20200326 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Tue, 31 Mar 2020 20:15:17 -0600

=== debian/control ===
Source: acpica-unix
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), flex, bison
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/acpica-unix.git
Vcs-Browser: https://salsa.debian.org/debian/acpica-unix
Homepage: https://www.acpica.org

Package: acpica-tools
Architecture: any
Replaces: iasl (<< 20130214-0.1), acpidump (<< 20100513-4)
Breaks: iasl (<< 20130214-0.1), acpidump (<< 20100513-4)
Provides: iasl, acpidump
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACPICA tools for the development and debug of ACPI tables
 The ACPI Component Architecture (ACPICA) project provides an OS-independent
 reference implementation of the Advanced Configuration and Power Interface
 Specification (ACPI).  ACPICA code contains those portions of ACPI meant to
 be directly integrated into the host OS as a kernel-resident subsystem, and
 a small set of tools to assist in developing and debugging ACPI tables.
 .
 This package contains only the user-space tools needed for ACPI table
 development, not the kernel implementation of ACPI.  The following commands
 are installed:
    -- iasl: compiles ASL (ACPI Source Language) into AML (ACPI Machine
       Language), suitable for inclusion as a DSDT in system firmware.
       It also can disassemble AML, for debugging purposes.
    -- acpibin: performs basic operations on binary AML files (e.g.,
       comparison, data extraction)
    -- acpidump: write out the current contents of ACPI tables
    -- acpiexec: simulate AML execution in order to debug method definitions
    -- acpihelp: display help messages describing ASL keywords and op-codes
    -- acpisrc: manipulate the ACPICA source tree and format source files
       for specific environments
    -- acpixtract: extract binary ACPI tables from acpidump output (see
       also the pmtools package)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export LC_TIME=C

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -Wall -fno-strict-aliasing

DESTDIR ?= debian/acpica-tools

VERSION = 20200717

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CC = $(DEB_HOST_GNU_TYPE)-gcc
else
	CC = gcc
endif


%:
	dh $@

override_dh_clean:
	dh_testdir
	dh_testroot

	# Commands to clean up after the build process.
	$(MAKE) clean
	rm -rf generate/unix/bin
	dh_clean

override_dh_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Commands to install the package into debian/acpica-tools
	install -m 755 generate/unix/bin/iasl $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpibin $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpidump $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpiexec $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpihelp $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpisrc $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpixtract $(DESTDIR)/usr/bin

	install -m 0644 debian/iasl.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpibin.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpidump.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpiexamples.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpiexec.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpihelp.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpisrc.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpixtract.1 $(DESTDIR)/usr/share/man/man1

override_dh_auto_test:
	$(MAKE) -C $(CURDIR) check CC=$(CC) OPT_CFLAGS="$(CFLAGS)"

override_dh_auto_build:
	dh_auto_build -- OPT_CFLAGS="$(CFLAGS)" CC=$(CC)

override_dh_auto_install:
	dh_auto_install -- INSTALL='install --strip-program=true'

## acpica-unix 20230628

=== tests/aslts/src/runtime/collections/complex/Makefile ===
# complex

MDIRS = \
	misc \
	provoke \
	operand \
	result \
	badasl \
	namespace

# FULL

TOP= ../../../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/Identity2MS/abbu/Makefile ===
# abbu

ASLMODADD=	MAIN_ASLTS
AMLMOD= extra extra_aslts
COLL= ../..

ADD_ASLFLAGS=-vx 6142 #illegal forward reference
ADD_ASLFLAGS+=-vx 6152 #recursive method call
ADD_ASLFLAGS+=-vx 6163 #illegal reference in method

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/namespace/Makefile ===
# namespace

AMLMOD= namespace
COLL= ../..

ADD_ASLFLAGS=-vx 6163 #illegal reference in method
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/operand/tests/Makefile ===
# tests

MDIRS = \
	oarg \
	oconst \
	oconversion \
	olocal \
	onamedglob \
	onamedloc \
	opackageel \
	oreftonamed \
	oreftopackageel \
	oreturn

# FULL

TOP= ../../../../../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/IMPL/ACPICA/tests/dynobj/Makefile ===
# dynobj

AMLMOD= dynobj
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/operand/tests/oreturn/Makefile ===
# oreturn

AMLMOD= oreturn
COLL= ../../../..

ADD_ASLFLAGS=-vx 6163 #illegal reference in method
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== debian/changelog ===
acpica-unix (20230628-1) unstable; urgency=medium

  * Upgrade to 20230628 upstream
  * Sync up with upstream endian support, get rid of big-endian build and
    patches
  * Fix hpat string length and offset issue

 -- Ivan Hu <ivan.hu@canonical.com>  Fri, 04 Aug 2023 10:32:31 +0800

acpica-unix (20230331-2) unstable; urgency=medium

  * fix the lintian errors and warnings

 -- Ivan Hu <ivan.hu@canonical.com>  Tue, 27 Jun 2023 15:34:27 +0800

acpica-unix (20230331-1) unstable; urgency=medium

  * Upgrade to 20230331 upstream.
  * Take over this package due to the maintainer RFA it. (Closes: #985677)

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 12 Jun 2023 12:37:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: acpica-unix
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ivan Hu <ivan.hu@canonical.com>
 Build-Depends: debhelper-compat (= 13), flex, bison
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/acpica-unix.git
@@ -9,7 +9,7 @@
 Homepage: https://www.acpica.org
 
 Package: acpica-tools
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 alpha arc hurd-i386 ia64 sh4 x32
 Replaces: iasl (<< 20130214-0.1), acpidump (<< 20100513-4)
 Breaks: iasl (<< 20130214-0.1), acpidump (<< 20100513-4)
 Provides: iasl, acpidump

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20200717
+VERSION = 20230628
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -37,6 +37,8 @@
 	# Commands to clean up after the build process.
 	$(MAKE) clean
 	rm -rf generate/unix/bin
+	rm -rf tests/aslts/tmp
+	rm -f tests/misc/*.aml tests/misc/*.actual tests/misc/*.expected
 	dh_clean
 
 override_dh_install:

=== debian/watch ===
version=3
opts=uversionmangle=s/^(\d\d)_(\d\d)_(\d\d)$/20$3$1$2/;s/_/./g \
https://github.com/acpica/acpica/tags \
.*/archive/refs/tags/(?:upstream/)?(?:v||version-|release-|X|R)(\d\S*)\.tar\.gz
# Bart Martens <bartm@debian.org>  Tue, 12 Mar 2013 05:51:05 +0000

## acpica-unix 20240322

=== tests/aslts/src/runtime/collections/exceptions/exc_result/exc_result2/Makefile ===
# exc_result2

AMLMOD= exc_result2
COLL= ../../..

ADD_ASLFLAGS=-vx 6163 -vx 6142
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== debian/changelog ===
acpica-unix (20240322-2) unstable; urgency=medium

  * add missing loong64 build support. (Closes: #1058460)

 -- Ivan Hu <ivan.hu@canonical.com>  Tue, 09 Apr 2024 10:50:09 +0800

acpica-unix (20240322-1) unstable; urgency=medium

  * Upgrade to 20240322 upstream.
  * add loong64 build support. (Closes: #1058460)

 -- Ivan Hu <ivan.hu@canonical.com>  Mon, 08 Apr 2024 13:38:24 +0800

## acpica-unix 20240827

=== debian/changelog ===
acpica-unix (20240827-2) unstable; urgency=medium

  * Update the copyright for DEP-5 format.

 -- Ivan Hu <ivan.hu@canonical.com>  Fri, 27 Sep 2024 10:33:50 +0800

acpica-unix (20240827-1) unstable; urgency=medium

  * Upgrade to 20240827 upstream.
  * Refresh patches.
  * Remove the fixing hpat patches, which has been fixed by upstream.

 -- Ivan Hu <ivan.hu@canonical.com>  Wed, 18 Sep 2024 18:00:58 +0800

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20230628
+VERSION = 20240827
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## acpica-unix 20240927

=== debian/changelog ===
acpica-unix (20240927-1) unstable; urgency=medium

  * Upgrade to 20240927 upstream.
  * Add the patch for fixing acpixtract-regression on ssdt. #978

 -- Ivan Hu <ivan.hu@canonical.com>  Wed, 06 Nov 2024 14:43:26 +0800

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20240827
+VERSION = 20240927
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## acpica-unix 20241212

=== tests/aslts/src/runtime/collections/exceptions/Makefile ===
# exceptions

MDIRS = \
	exc \
	exc_operand \
	exc_ref \
	exc_tbl \
	exc_result

# FULL

TOP= ../../../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/exceptions/exc_result/Makefile ===
# exc_result

MDIRS = \
	exc_result1 \
	exc_result2

# FULL

TOP= ../../../../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/functional/manipulation/Makefile ===
# manipulation

AMLMOD= manipulation
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/functional/synchronization/Makefile ===
# synchronization

AMLMOD= synchronization
COLL= ../..

ADD_ASLFLAGS=-vx 6163 #illegal reference in method
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/exceptions/exc_operand/exc_operand2/Makefile ===
# exc_operand2

AMLMOD= exc_operand2
COLL= ../../..

ADD_ASLFLAGS=-vx 6163 #illegal reference in method
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/result/tests/roptional/Makefile ===
# roptional

AMLMOD= roptional
COLL= ../../../..

ADD_ASLFLAGS=-vx 6163 -vx 6142
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== debian/changelog ===
acpica-unix (20241212-2) unstable; urgency=medium

  * Update debian/copyright.
  * Fix some lintian errors and warnings.

 -- Ivan Hu <ivan.hu@canonical.com>  Tue, 07 Jan 2025 11:09:35 +0800

acpica-unix (20241212-1) unstable; urgency=medium

  * Upgrade to 20241212 upstream.
  * Remove the fixing acpixtract-regression which has been applied.
  * Remove two fixing CVE patches which have been applied.

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 06 Jan 2025 11:55:41 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: https://www.acpica.org
 
 Package: acpica-tools
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 alpha arc hurd-i386 ia64 sh4 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 alpha arc hurd-i386 ia64 sh4 x32
 Replaces: iasl (<< 20130214-0.1), acpidump (<< 20100513-4)
 Breaks: iasl (<< 20130214-0.1), acpidump (<< 20100513-4)
 Provides: iasl, acpidump

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20240927
+VERSION = 20241212
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## acpica-unix 20250404

=== generate/unix/acpiexamples/Makefile ===
--- 
+++ 
@@ -135,6 +135,7 @@
 	$(OBJDIR)/utascii.o\
 	$(OBJDIR)/utbuffer.o\
 	$(OBJDIR)/utcache.o\
+	$(OBJDIR)/utcksum.o\
 	$(OBJDIR)/utcopy.o\
 	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utdecode.o\

=== tests/aslts/src/runtime/collections/functional/logic/Makefile ===
# logic

AMLMOD= logic
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/functional/module/Makefile ===
# table

AMLMOD= module
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/functional/reference/Makefile ===
# reference

AMLMOD= reference
COLL= ../..

ADD_ASLFLAGS=-vx 6163 #illegal reference in method
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/operand/tests/onamedglob/Makefile ===
# onamedglob

AMLMOD= onamedglob
COLL= ../../../..

ADD_ASLFLAGS=-vx 6163 #illegal reference in method
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/result/tests/rexplicitconv/Makefile ===
# rexplicitconv

AMLMOD= rexplicitconv
COLL= ../../../..

ADD_ASLFLAGS=-vx 6163 -vx 6142
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== debian/changelog ===
acpica-unix (20250404-1) unstable; urgency=medium

  * Upgrade to 20250404 upstream..
  * Remove the fixing armv7-str-fixes which has been applied.
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/watch: Bump watch file standard to 4.
  * added DEB_BUILD_OPTIONS nocheck checking for override_dh_auto_test to
    debian/rules
  * Clean up lintian problems where possible.

 -- Ivan Hu <ivan.hu@canonical.com>  Thu, 17 Apr 2025 14:49:38 +0800

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20241212
+VERSION = 20250404
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -66,7 +66,11 @@
 	install -m 0644 debian/acpixtract.1 $(DESTDIR)/usr/share/man/man1
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C $(CURDIR) check CC=$(CC) OPT_CFLAGS="$(CFLAGS)"
+else
+	@echo "*** Tests skipped (DEB_BUILD_OPTIONS=nocheck) ***"
+endif
 
 override_dh_auto_build:
 	dh_auto_build -- OPT_CFLAGS="$(CFLAGS)" CC=$(CC)

## acpica-unix 20250807

=== tests/templates/Makefile ===
# Before running this file, we assume we have generated all tables by running
# the command `$(ASL) -T ALL`
#
# Note: the NAME flag is required when running the test

aml_obj=$(NAME).aml
dsl_obj=$(NAME).dsl
aml_obj2=$(NAME)_recomp.aml


all: $(aml_obj2)

# recompile and binary compare
$(aml_obj2): %_recomp.aml: %.dsl
	$(ASL) -p `basename $@` $< > /dev/null 2> /dev/null
	$(acpibin) -c $@ $(patsubst %_recomp.aml,%.aml,$@) > /dev/null 2> /dev/null
	printf "Data table %s PASS\n" $(basename $< .dsl)

# disassemble
$(dsl_obj): %.dsl:  %.aml
	$(ASL) -d $< > /dev/null 2> /dev/null

# initial compile
$(aml_obj): %.aml:  %.asl
	$(ASL) $< > /dev/null 2> /dev/null


templates :
	sh templates.sh

.PHONY: clean
clean:
	rm -f *.asl *.aml *.dsl *.hex diff.log

=== generate/unix/acpibin/Makefile ===
#
# acpibin - Binary ACPI table utility
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpibin
PROG = $(OBJDIR)/acpibin

#
# Search paths for source files
#
vpath %.c \
    $(ACPIBIN)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ACPIBIN)/*.h)

OBJECTS = \
	$(OBJDIR)/abcompare.o\
	$(OBJDIR)/abmain.o\
	$(OBJDIR)/cmfsize.o\
	$(OBJDIR)/getopt.o\
	$(OBJDIR)/utalloc.o\
	$(OBJDIR)/utascii.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utcache.o\
	$(OBJDIR)/utdebug.o\
	$(OBJDIR)/utdecode.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utglobal.o\
	$(OBJDIR)/utlock.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utmisc.o\
	$(OBJDIR)/utmutex.o\
	$(OBJDIR)/utstate.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/utxferror.o\
	$(OBJDIR)/osunixxf.o

#
# Flags specific to acpibin
#
CFLAGS += \
    -DACPI_BIN_APP\
    -I$(ACPIBIN)

#
# Common Rules
#
include ../Makefile.rules

=== generate/unix/acpiexec/Makefile ===
--- 
+++ 
@@ -210,6 +210,7 @@
 	$(OBJDIR)/utascii.o\
 	$(OBJDIR)/utbuffer.o\
 	$(OBJDIR)/utcache.o\
+	$(OBJDIR)/utcksum.o\
 	$(OBJDIR)/utcopy.o\
 	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utdecode.o\
@@ -261,9 +262,11 @@
 
 ifneq ($(ACPI_HOST),_APPLE)
 ifneq ($(ACPI_HOST),_QNX)
+ifneq ($(ACPI_HOST),_HAIKU)
 LDFLAGS += -lrt
 endif
 endif
+endif
 
 #
 # Common Rules

=== generate/unix/iasl/Makefile ===
#
# iASL compiler/disassembler
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/iasl
PROG = $(OBJDIR)/iasl

#
# Search paths for source files
#
vpath %.c \
    $(ASL_COMPILER)\
    $(ACPICA_DEBUGGER)\
    $(ACPICA_DISASSEMBLER)\
    $(ACPICA_DISPATCHER)\
    $(ACPICA_EXECUTER)\
    $(ACPICA_NAMESPACE)\
    $(ACPICA_PARSER)\
    $(ACPICA_TABLES)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ASL_COMPILER)/*.h)\
    $(OBJDIR)/aslcompiler.y.h\
    $(OBJDIR)/dtcompilerparser.y.h\
    $(OBJDIR)/dtparser.y.h\
    $(OBJDIR)/prparser.y.h

OBJECTS = \
	$(OBJDIR)/aslcompilerlex.o\
	$(OBJDIR)/aslcompilerparse.o\
	$(OBJDIR)/dtcompilerparserlex.o\
	$(OBJDIR)/dtcompilerparserparse.o\
	$(OBJDIR)/dtparserlex.o\
	$(OBJDIR)/dtparserparse.o\
	$(OBJDIR)/prparserlex.o\
	$(OBJDIR)/prparserparse.o\
	$(OBJDIR)/acfileio.o\
	$(OBJDIR)/adfile.o\
	$(OBJDIR)/adisasm.o\
	$(OBJDIR)/adwalk.o\
	$(OBJDIR)/ahids.o\
	$(OBJDIR)/ahpredef.o\
	$(OBJDIR)/ahtable.o\
	$(OBJDIR)/ahuuids.o\
	$(OBJDIR)/aslallocate.o\
	$(OBJDIR)/aslanalyze.o\
	$(OBJDIR)/aslascii.o\
	$(OBJDIR)/aslbtypes.o\
	$(OBJDIR)/aslcache.o\
	$(OBJDIR)/aslcodegen.o\
	$(OBJDIR)/aslcompile.o\
	$(OBJDIR)/asldebug.o\
	$(OBJDIR)/aslerror.o\
	$(OBJDIR)/aslexternal.o\
	$(OBJDIR)/aslfiles.o\
	$(OBJDIR)/aslfileio.o\
	$(OBJDIR)/aslfold.o\
	$(OBJDIR)/aslhelp.o\
	$(OBJDIR)/aslhex.o\
	$(OBJDIR)/asllength.o\
	$(OBJDIR)/asllisting.o\
	$(OBJDIR)/asllistsup.o\
	$(OBJDIR)/aslload.o\
	$(OBJDIR)/asllookup.o\
	$(OBJDIR)/aslmain.o\
	$(OBJDIR)/aslmap.o\
	$(OBJDIR)/aslmapenter.o\
	$(OBJDIR)/aslmapoutput.o\
	$(OBJDIR)/aslmaputils.o\
	$(OBJDIR)/aslmessages.o\
	$(OBJDIR)/aslmethod.o\
	$(OBJDIR)/aslnamesp.o\
	$(OBJDIR)/asloffset.o\
	$(OBJDIR)/aslopcodes.o\
	$(OBJDIR)/asloperands.o\
	$(OBJDIR)/aslopt.o\
	$(OBJDIR)/asloptions.o\
	$(OBJDIR)/aslparseop.o\
	$(OBJDIR)/aslpredef.o\
	$(OBJDIR)/aslprepkg.o\
	$(OBJDIR)/aslprintf.o\
	$(OBJDIR)/aslprune.o\
	$(OBJDIR)/aslresource.o\
	$(OBJDIR)/aslrestype1.o\
	$(OBJDIR)/aslrestype1i.o\
	$(OBJDIR)/aslrestype2.o\
	$(OBJDIR)/aslrestype2d.o\
	$(OBJDIR)/aslrestype2e.o\
	$(OBJDIR)/aslrestype2q.o\
	$(OBJDIR)/aslrestype2s.o\
	$(OBJDIR)/aslrestype2w.o\
	$(OBJDIR)/aslstartup.o\
	$(OBJDIR)/aslstubs.o\
	$(OBJDIR)/aslpld.o\
	$(OBJDIR)/asltransform.o\
	$(OBJDIR)/asltree.o\
	$(OBJDIR)/aslutils.o\
	$(OBJDIR)/asluuid.o\
	$(OBJDIR)/aslwalks.o\
	$(OBJDIR)/aslxref.o\
	$(OBJDIR)/aslxrefout.o\
	$(OBJDIR)/cvcompiler.o\
	$(OBJDIR)/cvdisasm.o\
	$(OBJDIR)/cvparser.o\
	$(OBJDIR)/cmfsize.o\
	$(OBJDIR)/dbfileio.o\
	$(OBJDIR)/dmbuffer.o\
	$(OBJDIR)/dmcstyle.o\
	$(OBJDIR)/dmdeferred.o\
	$(OBJDIR)/dmextern.o\
	$(OBJDIR)/dmnames.o\
	$(OBJDIR)/dmopcode.o\
	$(OBJDIR)/dmresrc.o\
	$(OBJDIR)/dmresrcl.o\
	$(OBJDIR)/dmresrcl2.o\
	$(OBJDIR)/dmresrcs.o\
	$(OBJDIR)/dmrestag.o\
	$(OBJDIR)/dmswitch.o\
	$(OBJDIR)/dmtable.o\
	$(OBJDIR)/dmtables.o\
	$(OBJDIR)/dmtbdump.o\
	$(OBJDIR)/dmtbdump1.o\
	$(OBJDIR)/dmtbdump2.o\
	$(OBJDIR)/dmtbdump3.o\
	$(OBJDIR)/dmtbinfo.o\
	$(OBJDIR)/dmtbinfo1.o\
	$(OBJDIR)/dmtbinfo2.o\
	$(OBJDIR)/dmtbinfo3.o\
	$(OBJDIR)/dmutils.o\
	$(OBJDIR)/dmwalk.o\
	$(OBJDIR)/dsargs.o\
	$(OBJDIR)/dscontrol.o\
	$(OBJDIR)/dsfield.o\
	$(OBJDIR)/dsobject.o\
	$(OBJDIR)/dsopcode.o\
	$(OBJDIR)/dspkginit.o\
	$(OBJDIR)/dsutils.o\
	$(OBJDIR)/dswexec.o\
	$(OBJDIR)/dswload.o\
	$(OBJDIR)/dswload2.o\
	$(OBJDIR)/dswscope.o\
	$(OBJDIR)/dswstate.o\
	$(OBJDIR)/dtcompile.o\
	$(OBJDIR)/dtexpress.o\
	$(OBJDIR)/dtfield.o\
	$(OBJDIR)/dtio.o\
	$(OBJDIR)/dtsubtable.o\
	$(OBJDIR)/dttable.o\
	$(OBJDIR)/dttable1.o\
	$(OBJDIR)/dttable2.o\
	$(OBJDIR)/dttemplate.o\
	$(OBJDIR)/dtutils.o\
	$(OBJDIR)/exconcat.o\
	$(OBJDIR)/exconvrt.o\
	$(OBJDIR)/excreate.o\
	$(OBJDIR)/exdump.o\
	$(OBJDIR)/exmisc.o\
	$(OBJDIR)/exmutex.o\
	$(OBJDIR)/exnames.o\
	$(OBJDIR)/exoparg1.o\
	$(OBJDIR)/exoparg2.o\
	$(OBJDIR)/exoparg3.o\
	$(OBJDIR)/exoparg6.o\
	$(OBJDIR)/exprep.o\
	$(OBJDIR)/exregion.o\
	$(OBJDIR)/exresnte.o\
	$(OBJDIR)/exresolv.o\
	$(OBJDIR)/exresop.o\
	$(OBJDIR)/exstore.o\
	$(OBJDIR)/exstoren.o\
	$(OBJDIR)/exstorob.o\
	$(OBJDIR)/exsystem.o\
	$(OBJDIR)/exutils.o\
	$(OBJDIR)/getopt.o\
	$(OBJDIR)/nsaccess.o\
	$(OBJDIR)/nsalloc.o\
	$(OBJDIR)/nsdump.o\
	$(OBJDIR)/nsnames.o\
	$(OBJDIR)/nsobject.o\
	$(OBJDIR)/nsparse.o\
	$(OBJDIR)/nssearch.o\
	$(OBJDIR)/nsutils.o\
	$(OBJDIR)/nswalk.o\
	$(OBJDIR)/nsxfobj.o\
	$(OBJDIR)/osunixxf.o\
	$(OBJDIR)/prexpress.o\
	$(OBJDIR)/prmacros.o\
	$(OBJDIR)/prscan.o\
	$(OBJDIR)/prutils.o\
	$(OBJDIR)/psargs.o\
	$(OBJDIR)/psloop.o\
	$(OBJDIR)/psobject.o\
	$(OBJDIR)/psopcode.o\
	$(OBJDIR)/psopinfo.o\
	$(OBJDIR)/psparse.o\
	$(OBJDIR)/psscope.o\
	$(OBJDIR)/pstree.o\
	$(OBJDIR)/psutils.o\
	$(OBJDIR)/pswalk.o\
	$(OBJDIR)/tbdata.o\
	$(OBJDIR)/tbfadt.o\
	$(OBJDIR)/tbinstal.o\
	$(OBJDIR)/tbprint.o\
	$(OBJDIR)/tbutils.o\
	$(OBJDIR)/tbxface.o\
	$(OBJDIR)/tbxfload.o\
	$(OBJDIR)/utaddress.o\
	$(OBJDIR)/utalloc.o\
	$(OBJDIR)/utascii.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utcache.o\
	$(OBJDIR)/utcksum.o\
	$(OBJDIR)/utcopy.o\
	$(OBJDIR)/utdebug.o\
	$(OBJDIR)/utdecode.o\
	$(OBJDIR)/utdelete.o\
	$(OBJDIR)/uterror.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utglobal.o\
	$(OBJDIR)/uthex.o\
	$(OBJDIR)/utinit.o\
	$(OBJDIR)/utlock.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utmisc.o\
	$(OBJDIR)/utmutex.o\
	$(OBJDIR)/utnonansi.o\
	$(OBJDIR)/utobject.o\
	$(OBJDIR)/utownerid.o\
	$(OBJDIR)/utpredef.o\
	$(OBJDIR)/utresdecode.o\
	$(OBJDIR)/utresrc.o\
	$(OBJDIR)/utstate.o\
	$(OBJDIR)/utstrtoul64.o\
	$(OBJDIR)/utstrsuppt.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/utuuid.o\
	$(OBJDIR)/utxface.o\
	$(OBJDIR)/utxferror.o

INTERMEDIATES = \
	$(OBJDIR)/aslcompiler.y\
	$(OBJDIR)/aslcompilerlex.c\
	$(OBJDIR)/aslcompilerparse.c\
	$(OBJDIR)/dtparserlex.c\
	$(OBJDIR)/dtparserparse.c\
	$(OBJDIR)/dtcompilerparserlex.c\
	$(OBJDIR)/dtcompilerparserparse.c\
	$(OBJDIR)/prparserlex.c\
	$(OBJDIR)/prparserparse.c

MISC = \
	$(OBJDIR)/aslcompiler.y.h\
	$(OBJDIR)/dtcompilerparser.y.h\
	$(OBJDIR)/dtparser.y.h\
	$(OBJDIR)/prparser.y.h

ASL_PARSER = \
	$(ASL_COMPILER)/aslcstyle.y\
	$(ASL_COMPILER)/aslhelpers.y\
	$(ASL_COMPILER)/aslparser.y\
	$(ASL_COMPILER)/aslprimaries.y\
	$(ASL_COMPILER)/aslresources.y\
	$(ASL_COMPILER)/aslrules.y\
	$(ASL_COMPILER)/aslsupport.y\
	$(ASL_COMPILER)/asltokens.y\
	$(ASL_COMPILER)/asltypes.y

ASL_LEXER = \
	$(ASL_COMPILER)/aslcompiler.l\
	$(ASL_COMPILER)/aslsupport.l\
	$(OBJDIR)/aslcompiler.y.h


#
# Flags specific to iASL compiler
#
CFLAGS += \
    -DACPI_ASL_COMPILER\
    -I$(ASL_COMPILER)\
    -I$(OBJDIR)

ifeq ($(NOWERROR),TRUE)
WERROR_FLAGS=
else
WERROR_FLAGS=-Werror
endif

#
# Common Rules
#
include ../Makefile.rules

#
# Function to safely execute yacc:
# Generate the output files to a temporary directory,
# move the file to $(OBJDIR), and discard the directory.
#
safe_yacc = \
	_d=`mktemp -d $(OBJDIR)/$(1).XXXXXX` &&\
	cd $$_d &&\
	$(YACC) $(YFLAGS) -v -d -p$(1) "$(abspath $(2))" &&\
	cd - > /dev/null;\
	mv $$_d/y.tab$(suffix $(3)) $(3);\
	_r=$$?;\
	rm -fr $$_d;\
	exit $$_r

#
# Macro processing for iASL .y files
#
$(OBJDIR)/aslcompiler.y :      $(ASL_PARSER)
	@echo "- " $(MACROPROC) "          Preprocess main iASL parser"
	@$(MACROPROC) $(MFLAGS) $(ASL_COMPILER)/aslparser.y > $@

#
# Parser and Lexer - intermediate C files
#
$(OBJDIR)/aslcompilerlex.c :   $(ASL_LEXER)
	@echo "- " $(LEX) "        "$<
	@$(LEX) $(LFLAGS) -PAslCompiler -o$@ $(ASL_COMPILER)/aslcompiler.l

$(OBJDIR)/aslcompilerparse.c $(OBJDIR)/aslcompiler.y.h : $(OBJDIR)/aslcompiler.y
	@echo "- " $(YACC) "       "$<
	@$(call safe_yacc,AslCompiler,$<,$@)

$(OBJDIR)/dtcompilerparserlex.c :      $(ASL_COMPILER)/dtcompilerparser.l $(OBJDIR)/dtcompilerparser.y.h
	@echo "- " $(LEX) "        "$<
	@$(LEX) $(DLFLAGS) -PDtCompilerParser -o$@ $<

$(OBJDIR)/dtcompilerparserparse.c $(OBJDIR)/dtcompilerparser.y.h :       $(ASL_COMPILER)/dtcompilerparser.y
	@echo "- " $(YACC) "       "$<
	@$(call safe_yacc,DtCompilerParser,$<,$@)

$(OBJDIR)/dtparserlex.c :      $(ASL_COMPILER)/dtparser.l $(OBJDIR)/dtparser.y.h
	@echo "- " $(LEX) "        "$<
	@$(LEX) $(DLFLAGS) -PDtParser -o$@ $<

$(OBJDIR)/dtparserparse.c $(OBJDIR)/dtparser.y.h :       $(ASL_COMPILER)/dtparser.y
	@echo "- " $(YACC) "       "$<
	@$(call safe_yacc,DtParser,$<,$@)

$(OBJDIR)/prparserlex.c :      $(ASL_COMPILER)/prparser.l $(OBJDIR)/prparser.y.h
	@echo "- " $(LEX) "        "$<
	@$(LEX) $(LFLAGS) -PPrParser -o$@ $<

$(OBJDIR)/prparserparse.c $(OBJDIR)/prparser.y.h :       $(ASL_COMPILER)/prparser.y
	@echo "- " $(YACC) "       "$<
	@$(call safe_yacc,PrParser,$<,$@)

#
# Parsers and Lexers - final object files
#
# Cannot use the common compile warning flags since the C files are created
# by the utilities above and they are not necessarily ANSI C, etc.
#
$(OBJDIR)/aslcompilerlex.o :   $(OBJDIR)/aslcompilerlex.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<

$(OBJDIR)/aslcompilerparse.o : $(OBJDIR)/aslcompilerparse.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<

$(OBJDIR)/dtcompilerparserlex.o :      $(OBJDIR)/dtcompilerparserlex.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<

$(OBJDIR)/dtcompilerparserparse.o :    $(OBJDIR)/dtcompilerparserparse.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<

$(OBJDIR)/dtparserlex.o :      $(OBJDIR)/dtparserlex.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<

$(OBJDIR)/dtparserparse.o :    $(OBJDIR)/dtparserparse.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<

$(OBJDIR)/prparserlex.o :      $(OBJDIR)/prparserlex.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<

$(OBJDIR)/prparserparse.o :    $(OBJDIR)/prparserparse.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<

=== tests/aslts/src/runtime/Makefile ===
# runtime

MDIRS = collections

TOP= ../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/IMPL/Makefile ===
# IMPL

MDIRS= ACPICA

TOP= ../../../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/Identity2MS/Makefile ===
# Identity2MS

MDIRS = \
	abbu

TOP= ../../../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/bdemo/Makefile ===
# bdemo

MDIRS= ACPICA

TOP= ../../../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/functional/Makefile ===
# functional

MDIRS = \
	arithmetic \
	bfield \
	constant \
	control \
	descriptor \
	logic \
	manipulation \
	name \
	reference \
	region \
	synchronization \
	table \
	external

# extern local FULL

TOP= ../../../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/service/Makefile ===
# service

MDIRS = \
	condbranches

TOP= ../../../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/complex/provoke/Makefile ===
# provoke

AMLMOD= provoke
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/result/Makefile ===
# result

MDIRS = tests

TOP= ../../../../..
include $(TOP)/Makefile.switch

=== debian/changelog ===
acpica-unix (20250807-1) unstable; urgency=medium

  * Upgrade to 20250807 upstream release.

 -- Ivan Hu <ivan.hu@canonical.com>  Tue, 12 Aug 2025 10:14:45 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ivan Hu <ivan.hu@canonical.com>
 Build-Depends: debhelper-compat (= 13), flex, bison
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/acpica-unix.git
 Vcs-Browser: https://salsa.debian.org/debian/acpica-unix
 Homepage: https://www.acpica.org

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20250404
+VERSION = 20250807
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=uversionmangle=s/^(\d\d)_(\d\d)_(\d\d)$/20$3$1$2/;s/_/./g \
 https://github.com/acpica/acpica/tags \
 .*/archive/refs/tags/(?:upstream/)?(?:v||version-|release-|X|R)(\d\S*)\.tar\.gz

## acpica-unix 20251212

=== debian/changelog ===
acpica-unix (20251212-1) unstable; urgency=medium

  * Upgrade to 20251212 upstream release.

 -- Ivan Hu <ivan.hu@canonical.com>  Tue, 30 Dec 2025 14:09:43 +0800

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20250807
+VERSION = 20251212
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
